Bold VideoDocs

Community

Get a community post

GET
/api/v1/community/posts/{id}

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Post UUID

Header Parameters

X-Viewer-ID?string

Viewer UUID for reaction status

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.boldvideo.io/api/v1/community/posts/string"
{
  "data": {
    "author": {
      "avatar_url": "https://example.com/avatar.jpg",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "John Doe"
    },
    "category": "announcements",
    "comments": {
      "commented_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "count": 3,
      "items": [
        {
          "author": {
            "avatar_url": "https://example.com/avatar.jpg",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "John Doe"
          },
          "content": "Great post! Thanks for sharing.",
          "created_at": "2019-08-24T14:15:22Z",
          "depth": 0,
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "reactions": {
            "count": 5,
            "viewer_has_reacted": true
          },
          "replies": [
            {}
          ],
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "content": "Welcome to our community!",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "pinned": false,
    "pinned_at": "2019-08-24T14:15:22Z",
    "reactions": {
      "count": 10,
      "reacted_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "viewer_has_reacted": true
    },
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Update a community post

PATCH
/api/v1/community/posts/{id}

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Post UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Request Body

application/json

Post parameters

post*

Post parameters

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.boldvideo.io/api/v1/community/posts/string" \  -H "X-Viewer-ID: string" \  -H "Content-Type: application/json" \  -d '{    "post": {      "category": "announcements",      "content": "Welcome to our community!"    }  }'
{
  "data": {
    "author": {
      "avatar_url": "https://example.com/avatar.jpg",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "John Doe"
    },
    "category": "announcements",
    "comments": {
      "commented_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "count": 3,
      "items": [
        {
          "author": {
            "avatar_url": "https://example.com/avatar.jpg",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "John Doe"
          },
          "content": "Great post! Thanks for sharing.",
          "created_at": "2019-08-24T14:15:22Z",
          "depth": 0,
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "reactions": {
            "count": 5,
            "viewer_has_reacted": true
          },
          "replies": [
            {}
          ],
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "content": "Welcome to our community!",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "pinned": false,
    "pinned_at": "2019-08-24T14:15:22Z",
    "reactions": {
      "count": 10,
      "reacted_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "viewer_has_reacted": true
    },
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Delete a community post

DELETE
/api/v1/community/posts/{id}

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Post UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://app.boldvideo.io/api/v1/community/posts/string" \  -H "X-Viewer-ID: string"
Empty
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Update a community post

PUT
/api/v1/community/posts/{id}

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Post UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Request Body

application/json

Post parameters

post*

Post parameters

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://app.boldvideo.io/api/v1/community/posts/string" \  -H "X-Viewer-ID: string" \  -H "Content-Type: application/json" \  -d '{    "post": {      "category": "announcements",      "content": "Welcome to our community!"    }  }'
{
  "data": {
    "author": {
      "avatar_url": "https://example.com/avatar.jpg",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "John Doe"
    },
    "category": "announcements",
    "comments": {
      "commented_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "count": 3,
      "items": [
        {
          "author": {
            "avatar_url": "https://example.com/avatar.jpg",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "John Doe"
          },
          "content": "Great post! Thanks for sharing.",
          "created_at": "2019-08-24T14:15:22Z",
          "depth": 0,
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "reactions": {
            "count": 5,
            "viewer_has_reacted": true
          },
          "replies": [
            {}
          ],
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "content": "Welcome to our community!",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "pinned": false,
    "pinned_at": "2019-08-24T14:15:22Z",
    "reactions": {
      "count": 10,
      "reacted_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "viewer_has_reacted": true
    },
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Delete a comment

DELETE
/api/v1/community/comments/{id}

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Comment UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://app.boldvideo.io/api/v1/community/comments/string" \  -H "X-Viewer-ID: string"
Empty
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

List community posts

GET
/api/v1/community/posts

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Query Parameters

category?string

Filter by category

page?integer

Page number (default: 1)

page_size?integer

Items per page (default: 20, max: 100)

Header Parameters

X-Viewer-ID?string

Viewer UUID for reaction status

Response Body

application/json

application/json

application/json

curl -X GET "https://app.boldvideo.io/api/v1/community/posts?category=announcements&page=1&page_size=20"
{
  "data": [
    {
      "author": {
        "avatar_url": "https://example.com/avatar.jpg",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "John Doe"
      },
      "category": "announcements",
      "comments": {
        "commented_by": [
          {
            "avatar_url": "https://example.com/avatar.jpg",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "John Doe"
          }
        ],
        "count": 3,
        "items": [
          {
            "author": {
              "avatar_url": "https://example.com/avatar.jpg",
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "John Doe"
            },
            "content": "Great post! Thanks for sharing.",
            "created_at": "2019-08-24T14:15:22Z",
            "depth": 0,
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "reactions": {
              "count": 5,
              "viewer_has_reacted": true
            },
            "replies": [
              {}
            ],
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ]
      },
      "content": "Welcome to our community!",
      "created_at": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "pinned": false,
      "pinned_at": "2019-08-24T14:15:22Z",
      "reactions": {
        "count": 10,
        "reacted_by": [
          {
            "avatar_url": "https://example.com/avatar.jpg",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "John Doe"
          }
        ],
        "viewer_has_reacted": true
      },
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "page": 1,
    "page_size": 20,
    "total_entries": 47,
    "total_pages": 3
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Create a community post

POST
/api/v1/community/posts

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Request Body

application/json

Post parameters

post*

Post parameters

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/community/posts" \  -H "X-Viewer-ID: string" \  -H "Content-Type: application/json" \  -d '{    "post": {      "category": "announcements",      "content": "Welcome to our community!"    }  }'
{
  "data": {
    "author": {
      "avatar_url": "https://example.com/avatar.jpg",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "John Doe"
    },
    "category": "announcements",
    "comments": {
      "commented_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "count": 3,
      "items": [
        {
          "author": {
            "avatar_url": "https://example.com/avatar.jpg",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "John Doe"
          },
          "content": "Great post! Thanks for sharing.",
          "created_at": "2019-08-24T14:15:22Z",
          "depth": 0,
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "reactions": {
            "count": 5,
            "viewer_has_reacted": true
          },
          "replies": [
            {}
          ],
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "content": "Welcome to our community!",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "pinned": false,
    "pinned_at": "2019-08-24T14:15:22Z",
    "reactions": {
      "count": 10,
      "reacted_by": [
        {
          "avatar_url": "https://example.com/avatar.jpg",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "John Doe"
        }
      ],
      "viewer_has_reacted": true
    },
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Toggle reaction on a post

POST
/api/v1/community/posts/{id}/react

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Post UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/community/posts/string/react" \  -H "X-Viewer-ID: string"
{
  "data": {
    "reacted": true,
    "reactions_count": 5
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Toggle reaction on a comment

POST
/api/v1/community/comments/{id}/react

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

id*string

Comment UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/community/comments/string/react" \  -H "X-Viewer-ID: string"
{
  "data": {
    "reacted": true,
    "reactions_count": 5
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Create a comment on a post

POST
/api/v1/community/posts/{post_id}/comments

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Path Parameters

post_id*string

Post UUID

Header Parameters

X-Viewer-ID*string

Viewer UUID (required)

Request Body

application/json

Comment parameters

comment*

Comment parameters

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/community/posts/string/comments" \  -H "X-Viewer-ID: string" \  -H "Content-Type: application/json" \  -d '{    "comment": {      "content": "Great post! Thanks for sharing."    }  }'
{
  "data": {
    "author": {
      "avatar_url": "https://example.com/avatar.jpg",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "John Doe"
    },
    "content": "Great post! Thanks for sharing.",
    "created_at": "2019-08-24T14:15:22Z",
    "depth": 0,
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "reactions": {
      "count": 5,
      "viewer_has_reacted": true
    },
    "replies": [
      {}
    ],
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}